Bug 178411 - [ral] [panic] FreeBSD kernel crash in rt2860
Summary: [ral] [panic] FreeBSD kernel crash in rt2860
Status: Closed DUPLICATE of bug 184084
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: 1.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-wireless mailing list
URL:
Keywords: panic
Depends on:
Blocks:
 
Reported: 2013-05-08 07:00 UTC by Yuri Zolot'ko
Modified: 2019-02-03 16:03 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Zolot'ko 2013-05-08 07:00:00 UTC
yz.mine.nu dumped core - see /var/crash/vmcore.0

Wed May  8 09:38:32 VOLT 2013

FreeBSD yz.mine.nu 9.1-RELEASE FreeBSD 9.1-RELEASE #0 r243825: Tue Dec  4 09:23:10 UTC 2012     root@farrell.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC  amd64

panic: page fault

GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "amd64-marcel-freebsd"...

Unread portion of the kernel message buffer:


Fatal trap 12: page fault while in kernel mode
cpuid = 2; apic id = 02
fault virtual address	= 0x900
fault code		= supervisor read data, page not present
instruction pointer	= 0x20:0xffffffff80657b2f
stack pointer	        = 0x28:0xffffff81eec67a40
frame pointer	        = 0x28:0xffffff81eec67a80
code segment		= base rx0, limit 0xfffff, type 0x1b
			= DPL 0, pres 1, long 1, def32 0, gran 1
processor eflags	= interrupt enabled, resume, IOPL = 0
current process		= 12 (irq28: ral0)
trap number		= 12
panic: page fault
cpuid = 2
KDB: stack backtrace:
#0 0xffffffff809208a6 at kdb_backtrace+0x66
#1 0xffffffff808ea8be at panic+0x1ce
#2 0xffffffff80bd8240 at trap_fatal+0x290
#3 0xffffffff80bd857d at trap_pfault+0x1ed
#4 0xffffffff80bd8b9e at trap+0x3ce
#5 0xffffffff80bc315f at calltrap+0x8
#6 0xffffffff8065d6e1 at rt2860_intr+0x891
#7 0xffffffff808be8d4 at intr_event_execute_handlers+0x104
#8 0xffffffff808c0076 at ithread_loop+0xa6
#9 0xffffffff808bb9ef at fork_exit+0x11f
#10 0xffffffff80bc368e at fork_trampoline+0xe
Uptime: 9m36s
Dumping 933 out of 8150 MB:..2%..11%..21%..31%..42%..52%..61%..71%..81%..91%

Reading symbols from /boot/modules/nvidia.ko...done.
Loaded symbols for /boot/modules/nvidia.ko
Reading symbols from /boot/kernel/linux.ko...Reading symbols from /boot/kernel/linux.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/linux.ko
Reading symbols from /boot/kernel/zfs.ko...Reading symbols from /boot/kernel/zfs.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/zfs.ko
Reading symbols from /boot/kernel/opensolaris.ko...Reading symbols from /boot/kernel/opensolaris.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/opensolaris.ko
Reading symbols from /boot/kernel/ntfs.ko...Reading symbols from /boot/kernel/ntfs.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/ntfs.ko
Reading symbols from /boot/kernel/ext2fs.ko...Reading symbols from /boot/kernel/ext2fs.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/ext2fs.ko
Reading symbols from /boot/kernel/ng_ubt.ko...Reading symbols from /boot/kernel/ng_ubt.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/ng_ubt.ko
Reading symbols from /boot/kernel/ng_hci.ko...Reading symbols from /boot/kernel/ng_hci.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/ng_hci.ko
Reading symbols from /boot/kernel/ng_bluetooth.ko...Reading symbols from /boot/kernel/ng_bluetooth.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/ng_bluetooth.ko
Reading symbols from /boot/kernel/netgraph.ko...Reading symbols from /boot/kernel/netgraph.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/netgraph.ko
Reading symbols from /boot/kernel/ng_l2cap.ko...Reading symbols from /boot/kernel/ng_l2cap.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/ng_l2cap.ko
Reading symbols from /boot/kernel/ng_btsocket.ko...Reading symbols from /boot/kernel/ng_btsocket.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/ng_btsocket.ko
Reading symbols from /boot/kernel/ng_socket.ko...Reading symbols from /boot/kernel/ng_socket.ko.symbols...done.
done.
Loaded symbols for /boot/kernel/ng_socket.ko
#0  doadump (textdump=Variable "textdump" is not available.
) at pcpu.h:224
224	pcpu.h: No such file or directory.
	in pcpu.h
(kgdb) #0  doadump (textdump=Variable "textdump" is not available.
) at pcpu.h:224
#1  0xffffffff808ea3a1 in kern_reboot (howto=260)
    at /usr/src/sys/kern/kern_shutdown.c:448
#2  0xffffffff808ea897 in panic (fmt=0x1 <Address 0x1 out of bounds>)
    at /usr/src/sys/kern/kern_shutdown.c:636
#3  0xffffffff80bd8240 in trap_fatal (frame=0xc, eva=Variable "eva" is not available.
)
    at /usr/src/sys/amd64/amd64/trap.c:857
#4  0xffffffff80bd857d in trap_pfault (frame=0xffffff81eec67990, usermode=0)
    at /usr/src/sys/amd64/amd64/trap.c:773
#5  0xffffffff80bd8b9e in trap (frame=0xffffff81eec67990)
    at /usr/src/sys/amd64/amd64/trap.c:456
#6  0xffffffff80bc315f in calltrap ()
    at /usr/src/sys/amd64/amd64/exception.S:228
#7  0xffffffff80657b2f in rt2860_drain_stats_fifo (sc=0xffffff8001e16000)
    at ieee80211_ratectl.h:99
#8  0xffffffff8065d6e1 in rt2860_intr (arg=Variable "arg" is not available.
)
    at /usr/src/sys/dev/ral/rt2860.c:1434
#9  0xffffffff808be8d4 in intr_event_execute_handlers (p=Variable "p" is not available.
)
    at /usr/src/sys/kern/kern_intr.c:1262
#10 0xffffffff808c0076 in ithread_loop (arg=0xfffffe00067c9820)
    at /usr/src/sys/kern/kern_intr.c:1275
#11 0xffffffff808bb9ef in fork_exit (
    callout=0xffffffff808bffd0 <ithread_loop>, arg=0xfffffe00067c9820, 
    frame=0xffffff81eec67c40) at /usr/src/sys/kern/kern_fork.c:992
#12 0xffffffff80bc368e in fork_trampoline ()
    at /usr/src/sys/amd64/amd64/exception.S:602
#13 0x0000000000000000 in ?? ()
#14 0x0000000000000000 in ?? ()
#15 0x0000000000000001 in ?? ()
#16 0x0000000000000000 in ?? ()
#17 0x0000000000000000 in ?? ()
#18 0x0000000000000000 in ?? ()
#19 0x0000000000000000 in ?? ()
#20 0x0000000000000000 in ?? ()
#21 0x0000000000000000 in ?? ()
#22 0x0000000000000000 in ?? ()
#23 0x0000000000000000 in ?? ()
#24 0x0000000000000000 in ?? ()
#25 0x0000000000000000 in ?? ()
#26 0x0000000000000000 in ?? ()
#27 0x0000000000000000 in ?? ()
#28 0x0000000000000000 in ?? ()
#29 0x0000000000000000 in ?? ()
#30 0x0000000000000000 in ?? ()
#31 0x0000000000000000 in ?? ()
#32 0x0000000000000000 in ?? ()
#33 0x0000000000000000 in ?? ()
#34 0x0000000000000000 in ?? ()
#35 0x0000000000000000 in ?? ()
#36 0x0000000000000000 in ?? ()
#37 0x0000000000000003 in ?? ()
#38 0xffffffff81242880 in tdq_cpu ()
#39 0xfffffe00063b5000 in ?? ()
#40 0x0000000000000000 in ?? ()
#41 0xffffff81eec67b30 in ?? ()
#42 0xffffff81eec67ad8 in ?? ()
#43 0xfffffe00061d7470 in ?? ()
#44 0xffffffff8091352e in sched_switch (td=0x0, newtd=0xfffffe00067c9820, 
    flags=Variable "flags" is not available.
) at /usr/src/sys/kern/sched_ule.c:1921
Previous frame inner to this frame (corrupt stack?)
(kgdb) 

------------------------------------------------------------------------
ps -axl

 UID  PID PPID CPU PRI NI     VSZ RSS MWCHAN   STAT TT      TIME COMMAND
   0    0    0   0  -8  0       0   0 -        DLs  ??   0:00.75 [kernel]
   0    1    0   0  20  0    6276   0 wait     DLs  ??   0:00.02 [init]
   0    2    0   0 -16  0       0   0 ctl_work DL   ??   0:00.00 [ctl_thrd]
   0    3    0   0 -16  0       0   0 -        DL   ??   0:00.00 [fw0_probe]
   0    4    0   0 -16  0       0   0 waiting_ DL   ??   0:00.00 [sctp_iterator
   0    5    0   0 -16  0       0   0 ccb_scan DL   ??   0:00.00 [xpt_thrd]
   0    6    0   0 -16  0       0   0 psleep   DL   ??   0:00.00 [pagedaemon]
   0    7    0   0 -16  0       0   0 psleep   DL   ??   0:00.00 [vmdaemon]
   0    8    0   0 155  0       0   0 pgzero   DL   ??   0:00.00 [pagezero]
   0    9    0   0 -16  0       0   0 psleep   DL   ??   0:00.00 [bufdaemon]
   0   10    0   0 -16  0       0   0 audit_wo DL   ??   0:00.00 [audit]
   0   11    0   0 155  0       0   0 -        RL   ??  16:14.79 [idle]
   0   12    0   0 -84  0       0   0 -        WL   ??   0:03.17 [intr]
   0   13    0   0  -8  0       0   0 -        DL   ??   0:00.15 [geom]
   0   14    0   0 -16  0       0   0 -        DL   ??   0:00.10 [yarrow]
   0   15    0   0 -68  0       0   0 -        DL   ??   0:00.24 [usb]
   0   16    0   0 -16  0       0   0 vlruwt   DL   ??   0:00.00 [vnlru]
   0   17    0   0  16  0       0   0 syncer   DL   ??   0:00.00 [syncer]
   0   18    0   0 -16  0       0   0 sdflush  DL   ??   0:00.01 [softdepflush]
   0   36    0   0  -8  0       0   0 tx->tx_s DL   ??   0:00.04 [zfskern]
   0  121    1   0  52  0    9920   0 pause    Ds   ??   0:00.00 [adjkerntz]
   0  439    1   0  20  0   18300   0 select   Ds   ??   0:00.01 [wpa_supplican
   0 1713    0   0 -16  0       0   0 sleep    DL   ??   0:00.00 [ng_queue]
   0 1720    1   0  20  0   14232   0 select   Ds   ??   0:00.06 [moused]
   0 1775    1   0  52  0   12052   0 select   Ds   ??   0:00.00 [dhclient]
  65 1813    1   0  20  0   12052   0 select   Ds   ??   0:00.01 [dhclient]
   0 1844    1   0  20  0   10376   0 select   Ds   ??   0:00.00 [devd]
   0 1987    1   0  20  0   12056   0 select   Ds   ??   0:00.00 [syslogd]
   0 2066    1   0  20  0   22200   0 select   Ds   ??   0:00.02 [ntpd]
   0 2069    1   0  20  0   12056   0 select   Ds   ??   0:00.30 [powerd]
 556 2087    1   0  20  0   14304   0 select   Ds   ??   0:00.01 [dbus-daemon]
   0 2127    1   0  52  0   46748   0 select   Ds   ??   0:00.00 [sshd]
   0 2139    1   0  20  0   20252   0 select   Ds   ??   0:00.00 [sendmail]
  25 2172    1   0  26  0   20252   0 pause    Ds   ??   0:00.00 [sendmail]
   0 2176    1   0  43  0   14132   0 nanslp   Ds   ??   0:00.00 [cron]
   0 2186 2176   0  21  0   14132   0 piperd   D    ??   0:00.01 [cron]
   0 2187 2176   0  20  0   14132   0 piperd   D    ??   0:00.01 [cron]
   0 2188 2176   0  20  0   14132   0 piperd   D    ??   0:00.01 [cron]
   0 2189 2176   0  20  0   14132   0 piperd   D    ??   0:00.01 [cron]
   0 2190 2176   0  20  0   14132   0 piperd   D    ??   0:00.01 [cron]
   0 2191 2176   0  20  0   14132   0 piperd   D    ??   0:00.01 [cron]
   0 2192 2176   0  20  0   14132   0 piperd   D    ??   0:00.01 [cron]
   0 2193 2176   0  20  0   14132   0 piperd   D    ??   0:00.01 [cron]
1000 2214 2187   0  20  0   84788   0 piperd   Ds   ??   0:01.15 [python2.7]
1000 2215 2188   0  39 19   97076   0 piperd   DNs  ??   0:01.41 [python2.7]
1000 2216 2192   0  39 19   88884   0 piperd   DNs  ??   0:01.71 [python2.7]
1000 2217 2190   0  39 19   84788   0 piperd   DNs  ??   0:01.10 [python2.7]
1000 2218 2191   0  39 19  105268   0 piperd   DNs  ??   0:02.03 [python2.7]
1000 2219 2186   0  34  0   14508   0 wait     Ds   ??   0:00.01 [sh]
1000 2220 2193   0  39 19   92980   0 piperd   DNs  ??   0:01.33 [python2.7]
1000 2221 2189   0  91 19  105268   0 -        RNs  ??   0:01.91 [python2.7]
   0 2243    1   0  21  0   41168   0 wait     Ds   ??   0:00.01 [login]
   0 2244    1   0  52  0   12056   0 ttyin    Ds+  ??   0:00.00 [getty]
   0 2245    1   0  52  0   12056   0 ttyin    Ds+  ??   0:00.00 [getty]
   0 2246    1   0  52  0   12056   0 ttyin    Ds+  ??   0:00.00 [getty]
   0 2247    1   0  52  0   12056   0 ttyin    Ds+  ??   0:00.00 [getty]
   0 2248    1   0  52  0   12056   0 ttyin    Ds+  ??   0:00.00 [getty]
   0 2249    1   0  52  0   12056   0 ttyin    Ds+  ??   0:00.00 [getty]
   0 2250    1   0  52  0   12056   0 ttyin    Ds+  ??   0:00.00 [getty]
 560 2255    1   0  27  0   59576   0 select   Ds   ??   0:00.18 [hald]
   0 2257    1   0  20  0  108312   0 n        D    ??   0:00.01 [console-kit-d
   0 2259    1   0  20  0   55872   0 select   D    ??   0:00.02 [polkitd]
   0 2261    1   0  21  0   22720   0 select   D    ??   0:00.00 [gam_server]
   0 2262 2255   0  52  0   41464   0 select   D    ??   0:00.02 [hald-runner]
1000 2284 2186   0  21  0   20252   0 piperd   Ds   ??   0:00.00 [sendmail]
1000 2288 2219   0  34  0    3784   0 wait     D    ??   0:00.00 [time]
1000 2289 2288   0  20  0  285932   0 uwait    D    ??   0:01.07 [vlc]
   0 2290 2262   0  28  0   29356   0 s        D    ??   0:00.00 [hald-addon-mo
   0 2302 2262   0  20  0   20872   0 e        D    ??   0:00.03 [hald-addon-st
1000 2317 2243   0  52  0   17536   0 pause    D    ??   0:00.02 [tcsh]
1000 2334 2317   0  52  0   14508   0 wait     D+   ??   0:00.00 [sh]
1000 2353 2334   0  22  0   23668   0 wait     D+   ??   0:00.00 [xinit]
   0 2354 2353   0  20  0  947676   0 select   D    ??   0:05.74 [Xorg]
1000 2360 2353   0  20  0  111556   0 select   D    ??   0:00.11 [openbox]
1000 2363    1   0  20  0   23668   0 select   D    ??   0:00.00 [xbindkeys]
1000 2370 2360   0  20  0  232268   0 select   D    ??   0:00.61 [psi]
1000 2371 2360   0  20  0   40836   0 select   D    ??   0:00.01 [xxkb]
1000 2372 2360   0  20  0   62364   0 select   D    ??   0:00.07 [conky]
1000 2373 2360   0  21  0    2788   0 wait     D    ??   0:00.00 [bash]
1000 2375 2360   0  20  0   71684   0 select   D    ??   0:00.07 [xclock]
1000 2376 2360   0  20  0  126368   0 select   D    ??   0:00.02 [stjerm]
1000 2379 2360   0  20  0  123664   0 select   D    ??   0:00.02 [trayer]
1000 2381 2360   0  52  0    9916   0 wait     D    ??   0:00.00 [xargs]
1000 2382 2360   0  22  0  721104   0 uwait    D    ??   1:00.54 [firefox]
1000 2383 2381   0  29  0 1202308   0 piperd   D    ??   0:06.78 [wine]
1000 2384 2381   0  20  0 1205444   0 select   D    ??   0:06.94 [wine]
1000 2394    1   0  20  0   10704   0 kqread   Ds   ??   0:05.65 [wineserver]
1000 2400    1   0  25  0  576704   0 piperd   Ds   ??   0:00.01 [wine]
1000 2402    1   0  20  0  576940   0 piperd   D    ??   0:00.01 [wine]
   0 2404 2376   0  21  0   12060   0 sbwait   D    ??   0:00.00 [gnome-pty-hel
1000 2406    1   0  22  0  572444   0 piperd   D    ??   0:00.00 [wine]
1000 2408 2376   0  52  0   17536   0 ttyin    Ds+  ??   0:00.01 [tcsh]
1000 2413 2373   0  20  0  181196   0 select   D    ??   0:02.14 [skype]
1000 2416    1   0  20  0  587184   0 piperd   Ds   ??   0:00.03 [wine]
1000 2420    1   0  20  0   27920   0 select   D    ??   0:00.00 [dbus-launch]
1000 2421    1   0  20  0   14304   0 select   Ds   ??   0:00.00 [dbus-daemon]
1000 2425    1   0  20  0   52400   0 select   D    ??   0:00.09 [gconfd-2]
1000 2430 2187   0  20  0   20252   0 piperd   Ds   ??   0:00.01 [sendmail]
1000 2437 2373   0  20  0  181196   0 futex    D    ??   0:00.01 [skype]
1000 2438 2373   0  20  0  181196   0 futex    D    ??   0:00.81 [skype]
1000 2439 2373   0  24  0  181196   0 futex    D    ??   0:00.00 [skype]
1000 2440 2373   0  20  0  181196   0 select   D    ??   0:00.03 [skype]
1000 2443 2373   0  26  0  181196   0 futex    D    ??   0:00.00 [skype]
1000 2445 2373   0  34  0  181196   0 futex    D    ??   0:00.00 [skype]
1000 2446 2373   0  22  0  181196   0 futex    D    ??   0:00.00 [skype]
1000 2454 2373   0  25  0  181196   0 futex    D    ??   0:00.00 [skype]
1000 2475 2188   0  20  0   20252   0 piperd   Ds   ??   0:00.01 [sendmail]
1000 2491    1   0  20  0   22844   0 select   D    ??   0:00.06 [gam_server]
1000 2495    1   0  20  0   72928   0 select   D    ??   0:00.05 [xterm]
1000 2500 2495   0  49  0   21632   0 pause    Ds   ??   0:00.03 [tcsh]
1000 2507 2500   0  37  0  190324   0 kqread   D+   ??   0:01.14 [rtorrent]
1000 2561 2189   0  20  0   20252   0 piperd   Ds   ??   0:00.01 [sendmail]
1000 2568 2191   0  20  0   20252   0 piperd   Ds   ??   0:00.01 [sendmail]
1000 2577 2192   0  20  0   20252   0 piperd   Ds   ??   0:00.01 [sendmail]
1000 2589 2190   0  20  0   20252   0 piperd   Ds   ??   0:00.01 [sendmail]
1000 2599 2193   0  20  0   20252   0 piperd   Ds   ??   0:00.01 [sendmail]
1000 3232 2218   0 122 19   31436   0 -        RN   ??   0:00.00 [tmpOcxV9Q2218
1000 3248 2216   0 121 19   31432   0 -        RN   ??   0:00.00 [tmpfrT73Y2216
1000 3256 2215   0 120 19   31436   0 -        RN   ??   0:00.00 [tmpnLgZFt2215
1000 3264 2217   0 120 19   31436   0 -        RN   ??   0:00.00 [tmplHNIjZ2217
1000 3268 2214   0  98  0   31436   0 -        R    ??   0:00.00 [tmpug8rjG2214
1000 3276 2220   0 115 19   31436   0 -        RN   ??   0:00.00 [tmp0FURsL2220

------------------------------------------------------------------------
vmstat -s

 15819852 cpu context switches
  1984248 device interrupts
   228545 software interrupts
  9560953 traps
 55046547 system calls
       20 kernel threads created
     3184  fork() calls
       70 vfork() calls
       20 rfork() calls
        0 swap pager pageins
        0 swap pager pages paged in
        0 swap pager pageouts
        0 swap pager pages paged out
     6986 vnode pager pageins
    63790 vnode pager pages paged in
     3857 vnode pager pageouts
    61528 vnode pager pages paged out
        0 page daemon wakeups
        0 pages examined by the page daemon
     1112 pages reactivated
   162504 copy-on-write faults
      350 copy-on-write optimized faults
  2955974 zero fill pages zeroed
        0 zero fill pages prezeroed
      929 intransit blocking page faults
  3550878 total VM faults taken
        0 pages affected by kernel thread creation
  1622864 pages affected by  fork()
    32562 pages affected by vfork()
    42583 pages affected by rfork()
        0 pages cached
  3200308 pages freed
        0 pages freed by daemon
        0 pages freed by exiting processes
   169715 pages active
   105500 pages inactive
     3890 pages in VM cache
   201681 pages wired down
  1536295 pages free
     4096 bytes per page
   781252 total name lookups
          cache hits (88% pos + 6% neg) system 0% per-directory
          deletions 0%, falsehits 0%, toolong 0%

------------------------------------------------------------------------
vmstat -m

         Type InUse MemUse HighUse Requests  Size(s)
CAM dev queue    11     2K       -       11  128
  md_sii_data     0     0K       -       14  512
      CAM XPT   127   135K       -     1168  16,32,64,128,1024,2048
       isadev     9     2K       -        9  128
     acpiintr     1     1K       -        1  64
         cdev     7     2K       -        7  256
       acpica  6437   697K       -    67368  16,32,64,128,256,512,1024,2048,4096
        sigio     2     1K       -        2  64
filedesc_to_leader     9     1K       -       20  64
     filedesc   158   377K       -     3396  16,32,64,128,256,512,1024,2048,4096
         kenv    78    11K       -       92  16,32,64,128
       kqueue    22    24K       -      572  256,512,2048,4096
    proc-args    94     6K       -     1471  16,32,64,128,256
        hhook     2     1K       -        2  128
     acpitask     1     2K       -        1  2048
      ithread   125    22K       -      125  32,128,256
    CAM queue    39     2K       -      237  16,32,256
      fw_xfer     0     0K       -        1  256
       KTRACE   100    13K       -      100  128
     firewire    11    35K       -       14  64,128,512,1024,2048,4096
       linker   357  1239K       -      491  16,32,64,128,256,512,1024,2048,4096
        lockf    95    12K       -     4408  64,128
   loginclass     1     1K       -       21  64
       ip6ndp    16     2K       -       16  64,128
       ip6opt     0     0K       -        3  32
         temp    75    19K       -    25760  16,32,64,128,256,512,1024,2048,4096
       devbuf 24903 77772K       -    31004  16,32,64,128,256,512,1024,2048,4096
       module   493    62K       -      495  128
     mtx_pool     2    16K       -        2  
       USBdev    99    33K       -      437  64,128,256,512,4096
          osd    11     1K       -       22  16,64,128
          USB    84   257K       -       88  16,32,64,128,256,512,2048
     pmchooks     1     1K       -        1  128
      subproc   359   579K       -     3521  512,4096
         proc     2    16K       -        2  
      session    50     7K       -       70  128
         pgrp    55     7K       -      116  128
         cred   130    21K       -    44098  64,256
      uidinfo     7     3K       -       10  128,2048
       plimit    35     9K       -      447  256
      scsi_cd     0     0K       -       10  16
    sysctltmp     0     0K       -     1046  16,32,64,128,256,4096
    sysctloid  6582   325K       -     6755  16,32,64,128
       sysctl     0     0K       -     1467  16,32,64
      tidhash     1    16K       -        1  
      callout     7  3584K       -        7  
         umtx  1572   197K       -     1572  128
     p1003.1b     1     1K       -        1  16
         SWAP     2   481K       -        2  64
       bus-sc   152   510K       -     6827  16,32,64,128,256,512,1024,2048,4096
          bus  1455   131K       -    10527  16,32,64,128,256,1024,2048
      devstat     8    17K       -        8  32,4096
 eventhandler    80     7K       -       80  64,128
      acpisem    22     3K       -       22  128
         kobj   341  1364K       -      520  4096
      CAM SIM    11     3K       -       11  256
      Per-cpu     1     1K       -        1  32
   CAM periph     8     2K       -       38  16,32,64,128,256
         rman   278    32K       -      718  16,32,128
         sbuf     0     0K       -     2143  16,32,64,128,256,512,1024,2048,4096
       sglist    16     4K       -       33  32,128,256,512,1024,2048
      entropy  1024    64K       -     1024  64
       ctlmem  5062 10113K       -     5062  128,2048
        stack     0     0K       -        2  256
    taskqueue    57     6K       -       87  16,32,64,128,1024
       Unitno    16     1K       -     1530  32,64
          iov     0     0K       -   929038  16,32,64,128,256,512
       select   121    16K       -      121  128
     ioctlops     0     0K       -  1066733  16,32,64,128,256,512,1024,2048
          msg     4    30K       -        4  2048,4096
          sem     4   106K       -        4  2048,4096
          shm     6    30K       -       18  2048
          tty    21    21K       -       26  1024,2048
          pts     2     1K       -        5  256
     mbuf_tag     0     0K       -      657  32,64,128
        shmfd     1     8K       -        1  
          pcb    69   158K       -     1259  16,32,64,128,1024,2048,4096
       soname    58     7K       -     4939  16,32,64,128
     vfscache     1  2048K       -        1  
   cl_savebuf     0     0K       -      537  64
     vfs_hash     1  1024K       -        1  
       DEVFS1   158    79K       -      173  512
       vnodes     2     1K       -        2  256
       DEVFS3   178    45K       -      203  256
        mount   114     5K       -      230  16,32,64,128,256,512,2048
  vnodemarker     0     0K       -      198  512
      fadvise     1     1K       -        5  32
          BPF    23  1036K       -       24  16,128,512,4096
  ether_multi    41     3K       -      104  16,32,64
       ifaddr   358    36K       -      360  32,64,128,256,512,4096
        ifnet    15    29K       -       15  128,2048
        clone     6    24K       -        6  4096
       arpcom     3     1K       -        3  16
       fw_com     1     1K       -        1  64
      lltable    33    16K       -       36  256,512
        DEVFS    32     1K       -       34  16,128
       DEVFSP    17     2K       -      360  64
 msdosfs_node     0     0K       -        4  256
  msdosfs_fat     1   236K       -        1  
     routetbl    36     5K       -      267  32,64,128,256,512
     80211vap     1     4K       -        1  4096
  80211crypto     0     0K       -        6  128,512
     80211com     1     8K       -        1  
  80211nodeie     3     2K       -       16  32,512
    80211node     1    12K       -        6  
 80211ratectl     2     1K       -        7  16,64
    80211scan     3     7K       -        4  512,2048,4096
         igmp    14     4K       -       14  256
msdosfs_mount     1     1K       -        1  512
     in_multi     2     1K       -        4  256
    sctp_iter     0     0K       -        6  256
     sctp_ifn     2     1K       -        2  128
     sctp_ifa     5     1K       -        6  128
     sctp_vrf     1     1K       -        1  64
    sctp_a_it     0     0K       -        6  16
    hostcache     1    28K       -        1  
     syncache     1    96K       -        1  
    in6_multi    20     3K       -       20  32,256
          mld    14     2K       -       14  128
          rpc     2     1K       -        2  256
audit_evclass   179     6K       -      218  32
      jblocks     2     1K       -        2  128,256
     savedino     0     0K       -      316  256
        sbdep     0     0K       -       31  64
      jsegdep  2318   145K       -    21579  64
         jseg    87    11K       -      414  128
    jfreefrag     0     0K       -     1566  128
      jnewblk   257    33K       -    18457  128
       jmvref     0     0K       -       13  128
      jremref     0     0K       -      774  128
      jaddref     3     1K       -      782  128
      freedep     3     1K       -      128  64
     freework    47     6K       -     5086  16,128
    newdirblk     0     0K       -       12  64
       dirrem     8     1K       -      746  128
        mkdir     0     0K       -       24  128
       diradd     8     1K       -      758  128
     freefile     0     0K       -      538  64
     freeblks     9     2K       -      377  128
     freefrag     1     1K       -     1566  128
     indirdep    11     2K       -      218  128
       newblk  2293   829K       -    18458  256
    bmsafemap     5     9K       -      629  256
     inodedep    46  1047K       -      713  512
      pagedep     4   257K       -       48  256
  ufs_dirhash   123    25K       -      123  16,32,64,128,256,512
    ufs_mount     3    13K       -        3  512,4096
    vm_pgdata     2   129K       -        2  128
      UMAHash     4    19K       -       11  512,1024,2048,4096
      memdesc     1     4K       -        2  4096
     atkbddev     2     1K       -        2  64
    pfs_nodes    21     6K       -       21  256
       ctlblk   200  1600K       -      200  
         GEOM    82    24K       -      708  16,32,64,128,256,512,1024,2048
      ramdisk     1  4096K       -        1  
      acpidev    49     4K       -       49  64
         hdaa     5    44K       -        5  2048,4096
         hdac     1     1K       -        1  1024
        hdacc     1     1K       -        1  32
      ctlpool   532   142K       -      532  32,512
       kbdmux     7    18K       -        7  16,512,1024,2048
          LED    24     2K       -       24  16,128
       apmdev     1     1K       -        1  128
   madt_table     0     0K       -        1  4096
       feeder   110    14K       -     4794  32,128
     pci_link    16     2K       -       16  16,64,128
    acpi_perf     8     4K       -        8  512
       qpidrv     1     1K       -        1  16
    raid_data     0     0K       -       90  32,128,256
      io_apic     2     4K       -        2  2048
          MCA    18     3K       -       18  64,128
          msi     3     1K       -        3  128
     nexusdev     4     1K       -        4  16
        mixer     4    16K       -        4  4096
md_nvidia_data     0     0K       -       14  512
     futex wp     7     1K       -     1363  32
        futex     7     1K       -     1828  128
        linux    28     2K       -       39  32,64
       nvidia  1336  2369K       -     6793  16,32,64,128,256,512,1024,2048,4096
      solaris 23154 198384K       -   649511  16,32,64,128,256,512,1024,2048,4096
   kstat_data     4     1K       -        4  64
   ntfs_fnode     5     2K       -        5  256
  ntfs_ntnode     5     2K       -        5  256
   ntfs_mount     2     3K       -        2  512,2048
    ntfs_vrun    12     1K       -       12  16,64
ntfsd_resdata    16   130K       -       16  16,32,64,128,256
   ntfs_vattr    21    11K       -       21  512
  ntfs_nthash     1  1024K       -        1  
   ext2_mount   473   146K       -      473  128,256,512,1024,2048
    ext2_node     1     1K       -        1  256
 netgraph_msg     0     0K       -       40  64,128,256,1024
netgraph_node     9     3K       -       19  128,256
netgraph_hook    10     2K       -       10  128
 netgraph_hci     1     1K       -        1  256
netgraph_l2cap     1     1K       -        1  128
netgraph_btsocks_hci_raw     1     8K       -       23  128
netgraph_btsocks_l2cap_raw     1     1K       -        1  32
netgraph_btsocks_l2cap     1     1K       -        1  32
netgraph_sock     0     0K       -       18  128
netgraph_path     0     0K       -       11  16

------------------------------------------------------------------------
vmstat -z

ITEM                   SIZE  LIMIT     USED     FREE      REQ FAIL SLEEP

UMA Kegs:               208,      0,     187,       0,     187,   0,   0
UMA Zones:             1408,      0,     187,       1,     187,   0,   0
UMA Slabs:              568,      0,   10555,      22,   22635,   0,   0
UMA RCntSlabs:          568,      0,    1314,       2,    1314,   0,   0
UMA Hash:               256,      0,      78,      12,      82,   0,   0
16 Bucket:              152,      0,     214,      11,     214,   0,   0
32 Bucket:              280,      0,     249,       3,     249,   0,   0
64 Bucket:              536,      0,     335,       1,     335, 143,   0
128 Bucket:            1048,      0,     761,       1,     761,1271,   0
VM OBJECT:              232,      0,    8691,     541,   65702,   0,   0
MAP:                    232,      0,       7,      25,       7,   0,   0
KMAP ENTRY:             120, 276830,     126,     928,   44871,   0,   0
MAP ENTRY:              120,      0,    7204,    1197,  183556,   0,   0
fakepg:                 120,      0,      89,     717,     650,   0,   0
mt_zone:               4112,      0,     359,     110,     359,   0,   0
16:                      16,      0,    4799,     577, 1199065,   0,   0
32:                      32,      0,    4882,    1178,   78451,   0,   0
64:                      64,      0,   26727,    2785,  474600,   0,   0
128:                    128,      0,   15012,    1402,  965090,   0,   0
256:                    256,      0,    4962,    5268,  126642,   0,   0
512:                    512,      0,    5386,     368,   48497,   0,   0
1024:                  1024,      0,     184,     908,   11258,   0,   0
2048:                  2048,      0,    5437,     633,   21381,   0,   0
4096:                  4096,      0,    1109,     299,   17671,   0,   0
Files:                   80,      0,    1301,   10984,   76960,   0,   0
TURNSTILE:              136,      0,     787,      93,     787,   0,   0
umtx pi:                 96,      0,       0,       0,       0,   0,   0
MAC labels:              40,      0,       0,       0,       0,   0,   0
PROC:                  1184,      0,     121,     122,    3294,   0,   0
THREAD:                1128,      0,     619,     167,     979,   0,   0
SLEEPQUEUE:              80,      0,     787,     286,     787,   0,   0
VMSPACE:                392,      0,      94,     186,    3260,   0,   0
cpuset:                  72,      0,     267,     183,     417,   0,   0
audit_record:           960,      0,       0,       0,       0,   0,   0
mbuf_packet:            256,      0,     210,    1847,  277771,   0,   0
mbuf:                   256,      0,     172,    1245,  896588,   0,   0
mbuf_cluster:          2048,  25600,    2048,     182,    2057,   0,   0
mbuf_jumbo_page:       4096,  12800,      61,     138,   33480,   0,   0
mbuf_jumbo_9k:         9216,  19200,       0,       0,       0,   0,   0
mbuf_jumbo_16k:       16384,  12800,       0,       0,       0,   0,   0
mbuf_ext_refcnt:          4,      0,       0,       0,       0,   0,   0
g_bio:                  232,      0,       0,    1328,   88864,   0,   0
ttyinq:                 160,      0,     270,     354,     885,   0,   0
ttyoutq:                256,      0,     134,     166,     451,   0,   0
ata_request:            328,      0,       0,     180,     581,   0,   0
ata_composite:          336,      0,       0,       0,       0,   0,   0
nv_stack_t:           12288,      0,       7,      58,    1058,   0,   0
VNODE:                  480,      0,    8928,     288,    9775,   0,   0
VNODEPOLL:              112,      0,     145,     251,     328,   0,   0
S VFS Cache:            108,      0,    6984,     309,   28639,   0,   0
STS VFS Cache:          148,      0,       0,       0,       0,   0,   0
L VFS Cache:            328,      0,    2253,     639,    2592,   0,   0
LTS VFS Cache:          368,      0,       0,       0,       0,   0,   0
NAMEI:                 1024,      0,       0,     144,  209085,   0,   0
NCLNODE:                568,      0,       0,       0,       0,   0,   0
DIRHASH:               1024,      0,     247,      61,     247,   0,   0
pipe:                   728,      0,     313,     112,    3009,   0,   0
Mountpoints:            792,      0,       7,      23,       7,   0,   0
ksiginfo:               112,      0,     231,     825,    6933,   0,   0
itimer:                 344,      0,       1,      21,       1,   0,   0
KNOTE:                  128,      0,     425,     648, 3323349,   0,   0
socket:                 680,  25602,     277,   10691,   13695,   0,   0
unpcb:                  240,  25600,     130,      94,     390,   0,   0
ipq:                     56,    819,       0,       0,       0,   0,   0
udp_inpcb:              392,  25600,      14,     126,    1879,   0,   0
udpcb:                   16,  25704,      14,    1162,    1879,   0,   0
tcp_inpcb:              392,  25600,     131,   10719,   11365,   0,   0
tcpcb:                  976,  25600,     129,   10655,   11365,   0,   0
tcptw:                   72,   5150,       2,     498,     197,   0,   0
syncache:               152,  15375,       1,     249,     163,   0,   0
hostcache:              136,  15372,     113,     223,     113,   0,   0
tcpreass:                40,   1680,      66,    1194,   21602,   0,   0
sackhole:                32,      0,       0,     909,     460,   0,   0
sctp_ep:               1376,  25600,       0,       0,       0,   0,   0
sctp_asoc:             2288,  40000,       0,       0,       0,   0,   0
sctp_laddr:              48,  80064,       0,     432,       6,   0,   0
sctp_raddr:             704,  80000,       0,       0,       0,   0,   0
sctp_chunk:             136, 400008,       0,       0,       0,   0,   0
sctp_readq:             104, 400032,       0,       0,       0,   0,   0
sctp_stream_msg_out:    112, 400026,       0,       0,       0,   0,   0
sctp_asconf:             40, 400008,       0,       0,       0,   0,   0
sctp_asconf_ack:         48, 400032,       0,       0,       0,   0,   0
ripcb:                  392,  25600,       1,      29,       3,   0,   0
rtentry:                200,      0,      17,     154,      21,   0,   0
selfd:                   56,      0,     312,    1326,14283815,   0,   0
SWAPMETA:               288, 116519,       0,       0,       0,   0,   0
FFS inode:              168,      0,    5338,     338,    5883,   0,   0
FFS1 dinode:            128,      0,       0,       0,       0,   0,   0
FFS2 dinode:            256,      0,    5338,     227,    5876,   0,   0
taskq_zone:              48,      0,       0,    1152,    3613,   0,   0
zio_cache:              880,      0,       1,     851,  151267,   0,   0
zio_link_cache:          48,      0,       0,    1512,   49863,   0,   0
zio_buf_512:            512,      0,       0,       0,       0,   0,   0
zio_data_buf_512:       512,      0,       0,       0,       0,   0,   0
zio_buf_1024:          1024,      0,       0,       0,       0,   0,   0
zio_data_buf_1024:     1024,      0,       0,       0,       0,   0,   0
zio_buf_1536:          1536,      0,       0,       0,       0,   0,   0
zio_data_buf_1536:     1536,      0,       0,       0,       0,   0,   0
zio_buf_2048:          2048,      0,       0,       0,       0,   0,   0
zio_data_buf_2048:     2048,      0,       0,       0,       0,   0,   0
zio_buf_2560:          2560,      0,       0,       0,       0,   0,   0
zio_data_buf_2560:     2560,      0,       0,       0,       0,   0,   0
zio_buf_3072:          3072,      0,       0,       0,       0,   0,   0
zio_data_buf_3072:     3072,      0,       0,       0,       0,   0,   0
zio_buf_3584:          3584,      0,       0,       0,       0,   0,   0
zio_data_buf_3584:     3584,      0,       0,       0,       0,   0,   0
zio_buf_4096:          4096,      0,       0,       0,       0,   0,   0
zio_data_buf_4096:     4096,      0,       0,       0,       0,   0,   0
zio_buf_5120:          5120,      0,       0,       0,       0,   0,   0
zio_data_buf_5120:     5120,      0,       0,       0,       0,   0,   0
zio_buf_6144:          6144,      0,       0,       0,       0,   0,   0
zio_data_buf_6144:     6144,      0,       0,       0,       0,   0,   0
zio_buf_7168:          7168,      0,       0,       0,       0,   0,   0
zio_data_buf_7168:     7168,      0,       0,       0,       0,   0,   0
zio_buf_8192:          8192,      0,       0,       0,       0,   0,   0
zio_data_buf_8192:     8192,      0,       0,       0,       0,   0,   0
zio_buf_10240:        10240,      0,       0,       0,       0,   0,   0
zio_data_buf_10240:   10240,      0,       0,       0,       0,   0,   0
zio_buf_12288:        12288,      0,       0,       0,       0,   0,   0
zio_data_buf_12288:   12288,      0,       0,       0,       0,   0,   0
zio_buf_14336:        14336,      0,       0,       0,       0,   0,   0
zio_data_buf_14336:   14336,      0,       0,       0,       0,   0,   0
zio_buf_16384:        16384,      0,       0,       0,       0,   0,   0
zio_data_buf_16384:   16384,      0,       0,       0,       0,   0,   0
zio_buf_20480:        20480,      0,       0,       0,       0,   0,   0
zio_data_buf_20480:   20480,      0,       0,       0,       0,   0,   0
zio_buf_24576:        24576,      0,       0,       0,       0,   0,   0
zio_data_buf_24576:   24576,      0,       0,       0,       0,   0,   0
zio_buf_28672:        28672,      0,       0,       0,       0,   0,   0
zio_data_buf_28672:   28672,      0,       0,       0,       0,   0,   0
zio_buf_32768:        32768,      0,       0,       0,       0,   0,   0
zio_data_buf_32768:   32768,      0,       0,       0,       0,   0,   0
zio_buf_36864:        36864,      0,       0,       0,       0,   0,   0
zio_data_buf_36864:   36864,      0,       0,       0,       0,   0,   0
zio_buf_40960:        40960,      0,       0,       0,       0,   0,   0
zio_data_buf_40960:   40960,      0,       0,       0,       0,   0,   0
zio_buf_45056:        45056,      0,       0,       0,       0,   0,   0
zio_data_buf_45056:   45056,      0,       0,       0,       0,   0,   0
zio_buf_49152:        49152,      0,       0,       0,       0,   0,   0
zio_data_buf_49152:   49152,      0,       0,       0,       0,   0,   0
zio_buf_53248:        53248,      0,       0,       0,       0,   0,   0
zio_data_buf_53248:   53248,      0,       0,       0,       0,   0,   0
zio_buf_57344:        57344,      0,       0,       0,       0,   0,   0
zio_data_buf_57344:   57344,      0,       0,       0,       0,   0,   0
zio_buf_61440:        61440,      0,       0,       0,       0,   0,   0
zio_data_buf_61440:   61440,      0,       0,       0,       0,   0,   0
zio_buf_65536:        65536,      0,       0,       0,       0,   0,   0
zio_data_buf_65536:   65536,      0,       0,       0,       0,   0,   0
zio_buf_69632:        69632,      0,       0,       0,       0,   0,   0
zio_data_buf_69632:   69632,      0,       0,       0,       0,   0,   0
zio_buf_73728:        73728,      0,       0,       0,       0,   0,   0
zio_data_buf_73728:   73728,      0,       0,       0,       0,   0,   0
zio_buf_77824:        77824,      0,       0,       0,       0,   0,   0
zio_data_buf_77824:   77824,      0,       0,       0,       0,   0,   0
zio_buf_81920:        81920,      0,       0,       0,       0,   0,   0
zio_data_buf_81920:   81920,      0,       0,       0,       0,   0,   0
zio_buf_86016:        86016,      0,       0,       0,       0,   0,   0
zio_data_buf_86016:   86016,      0,       0,       0,       0,   0,   0
zio_buf_90112:        90112,      0,       0,       0,       0,   0,   0
zio_data_buf_90112:   90112,      0,       0,       0,       0,   0,   0
zio_buf_94208:        94208,      0,       0,       0,       0,   0,   0
zio_data_buf_94208:   94208,      0,       0,       0,       0,   0,   0
zio_buf_98304:        98304,      0,       0,       0,       0,   0,   0
zio_data_buf_98304:   98304,      0,       0,       0,       0,   0,   0
zio_buf_102400:      102400,      0,       0,       0,       0,   0,   0
zio_data_buf_102400: 102400,      0,       0,       0,       0,   0,   0
zio_buf_106496:      106496,      0,       0,       0,       0,   0,   0
zio_data_buf_106496: 106496,      0,       0,       0,       0,   0,   0
zio_buf_110592:      110592,      0,       0,       0,       0,   0,   0
zio_data_buf_110592: 110592,      0,       0,       0,       0,   0,   0
zio_buf_114688:      114688,      0,       0,       0,       0,   0,   0
zio_data_buf_114688: 114688,      0,       0,       0,       0,   0,   0
zio_buf_118784:      118784,      0,       0,       0,       0,   0,   0
zio_data_buf_118784: 118784,      0,       0,       0,       0,   0,   0
zio_buf_122880:      122880,      0,       0,       0,       0,   0,   0
zio_data_buf_122880: 122880,      0,       0,       0,       0,   0,   0
zio_buf_126976:      126976,      0,       0,       0,       0,   0,   0
zio_data_buf_126976: 126976,      0,       0,       0,       0,   0,   0
zio_buf_131072:      131072,      0,       0,       0,       0,   0,   0
zio_data_buf_131072: 131072,      0,       0,       0,       0,   0,   0
sa_cache:                80,      0,    3470,     355,    3753,   0,   0
dnode_t:                856,      0,    3822,      70,    3932,   0,   0
dmu_buf_impl_t:         224,      0,    6099,     412,    8676,   0,   0
arc_buf_hdr_t:          216,      0,    3881,     331,    6394,   0,   0
arc_buf_t:              104,      0,    3570,     354,    6483,   0,   0
zil_lwb_cache:          192,      0,       1,     299,     423,   0,   0
zfs_znode_cache:        400,      0,    3470,     580,    3753,   0,   0
NetGraph items:          72,   4118,       0,     232,      60,   0,   0
NetGraph data items:     72,    522,       0,     290,      54,   0,   0


------------------------------------------------------------------------
vmstat -i

interrupt                          total       rate
irq16: uhci0 ahci0                563485       3238
irq17: atapci0                       864          4
irq19: fwohci0++                   17257         99
irq20: hpet0                      780773       4487
irq23: uhci3 ehci1                  6646         38
irq24: vgapci0                       537          3
irq28: ral0                       561658       3227
irq256: hdac0                      25700        147
irq258: ahci1                      27328        157
Total                            1984248      11403

------------------------------------------------------------------------
pstat -T

1301/12328 files
0M/3298M swap space

------------------------------------------------------------------------
pstat -s

Device          512-blocks     Used    Avail Capacity
/dev/ada1s4b       6755800        0  6755800     0%

------------------------------------------------------------------------
iostat

iostat: kvm_read(_tk_nin): invalid address (0x0)
iostat: disabling TTY statistics
            ada0             ada1              cd0             cpu
  KB/t tps  MB/s   KB/t tps  MB/s   KB/t tps  MB/s  us ni sy in id
 26.75  65  1.69  49.08  98  4.69   0.00   0  0.00  13 58  1  0 27

------------------------------------------------------------------------
ipcs -a

Message Queues:
T           ID          KEY MODE        OWNER    GROUP    CREATOR  CGROUP                 CBYTES                 QNUM               QBYTES        LSPID        LRPID STIME    RTIME    CTIME   

Shared Memory:
T           ID          KEY MODE        OWNER    GROUP    CREATOR  CGROUP         NATTCH        SEGSZ         CPID         LPID ATIME    DTIME    CTIME   
m       131072            0 --rwarwarwa u        wheel    u        wheel               2       230400         2370         2354  9:24:54  9:26:01  9:24:54
m        65537            0 --rw------- u        wheel    u        wheel               2       393216         2382         2354  9:24:54  9:25:26  9:24:54
m        65538            0 --rwa------ u        wheel    u        wheel               2      1900544         2383         2354  9:24:55  9:24:55  9:24:55
m        65539            0 --rwa------ u        wheel    u        wheel               2      1900544         2384         2354  9:24:55  9:24:55  9:24:55
m        65540            0 --rw------- u        wheel    u        wheel               2       393216         2382         2354  9:25:26 no-entry  9:25:26

Semaphores:
T           ID          KEY MODE        OWNER    GROUP    CREATOR  CGROUP          NSEMS OTIME    CTIME   


------------------------------------------------------------------------
ipcs -T

msginfo:
	msgmax:        16384	(max characters in a message)
	msgmni:           40	(# of message queues)
	msgmnb:         2048	(max characters in a message queue)
	msgtql:           40	(max # of messages in system)
	msgssz:            8	(size of a message segment)
	msgseg:         2048	(# of message segments in system)

shminfo:
	shmmax:    536870912	(max shared memory segment size)
	shmmin:            1	(min shared memory segment size)
	shmmni:          192	(max number of shared memory identifiers)
	shmseg:          128	(max shared memory segments per process)
	shmall:       131072	(max amount of shared memory in pages)

seminfo:
	semmni:           50	(# of semaphore identifiers)
	semmns:          340	(# of semaphores in system)
	semmnu:          150	(# of undo structures in system)
	semmsl:          340	(max # of semaphores per id)
	semopm:          100	(max # of operations per semop call)
	semume:           50	(max # of undo entries per process)
	semusz:          632	(size in bytes of undo structure)
	semvmx:        32767	(semaphore maximum value)
	semaem:        16384	(adjust on exit max value)


------------------------------------------------------------------------
nfsstat

Client Info:
Rpc Counts:
  Getattr   Setattr    Lookup  Readlink      Read     Write    Create    Remove
        0         0         0         0         0         0         0         0
   Rename      Link   Symlink     Mkdir     Rmdir   Readdir  RdirPlus    Access
        0         0         0         0         0         0         0         0
    Mknod    Fsstat    Fsinfo  PathConf    Commit
        0         0         0         0         0
Rpc Info:
 TimedOut   Invalid X Replies   Retries  Requests
        0         0         0         0         0
Cache Info:
Attr Hits    Misses Lkup Hits    Misses BioR Hits    Misses BioW Hits    Misses
        0         0         0         0         0         0         0         0
BioRLHits    Misses BioD Hits    Misses DirE Hits    Misses Accs Hits    Misses
        0         0         0         0         0         0         0         0

Server Info:
  Getattr   Setattr    Lookup  Readlink      Read     Write    Create    Remove
        0         0         0         0         0         0         0         0
   Rename      Link   Symlink     Mkdir     Rmdir   Readdir  RdirPlus    Access
        0         0         0         0         0         0         0         0
    Mknod    Fsstat    Fsinfo  PathConf    Commit
        0         0         0         0         0
Server Ret-Failed
                0
Server Faults
            0
Server Cache Stats:
   Inprog      Idem  Non-idem    Misses
        0         0         0         0
Server Write Gathering:
 WriteOps  WriteRPC   Opsaved
        0         0         0

------------------------------------------------------------------------
netstat -s

tcp:
	176042 packets sent
		9144 data packets (7180010 bytes)
		2284 data packets (1597143 bytes) retransmitted
		49 data packets unnecessarily retransmitted
		0 resends initiated by MTU discovery
		104832 ack-only packets (6022 delayed)
		0 URG only packets
		23 window probe packets
		59584 window update packets
		827 control packets
	245599 packets received
		7247 acks (for 7152547 bytes)
		2427 duplicate acks
		0 acks for unsent data
		216045 packets (290610046 bytes) received in-sequence
		1025 completely duplicate packets (1070346 bytes)
		2 old duplicate packets
		61 packets with some dup. data (19124 bytes duped)
		21600 out-of-order packets (28730796 bytes)
		0 packets (0 bytes) of data after window
		0 window probes
		181 window update packets
		25 packets received after close
		0 discarded for bad checksums
		0 discarded for bad header offset fields
		0 discarded because packet too short
		0 discarded due to memory problems
	450 connection requests
	144 connection accepts
	0 bad connection attempts
	0 listen queue overflows
	9 ignored RSTs in the windows
	504 connections established (including accepts)
	11234 connections closed (including 30 drops)
		133 connections updated cached RTT on close
		143 connections updated cached RTT variance on close
		85 connections updated cached ssthresh on close
	16 embryonic connections dropped
	5854 segments updated rtt (of 6366 attempts)
	2020 retransmit timeouts
		1 connection dropped by rexmit timeout
	23 persist timeouts
		0 connections dropped by persist timeout
	0 Connections (fin_wait_2) dropped because of timeout
	0 keepalive timeouts
		0 keepalive probes sent
		0 connections dropped by keepalive
	1675 correct ACK header predictions
	212233 correct data packet header predictions
	163 syncache entries added
		44 retransmitted
		14 dupsyn
		0 dropped
		144 completed
		0 bucket overflow
		0 cache overflow
		9 reset
		9 stale
		0 aborted
		0 badack
		0 unreach
		0 zone failures
	163 cookies sent
	0 cookies received
	113 hostcache entries added
		0 bucket overflow
	188 SACK recovery episodes
	321 segment rexmits in SACK recovery episodes
	414925 byte rexmits in SACK recovery episodes
	2789 SACK options (SACK blocks) received
	20924 SACK options (SACK blocks) sent
	0 SACK scoreboard overflow
	0 packets with ECN CE bit set
	0 packets with ECN ECT(0) bit set
	0 packets with ECN ECT(1) bit set
	0 successful ECN handshakes
	0 times ECN reduced the congestion window
udp:
	2793 datagrams received
	0 with incomplete header
	0 with bad data length field
	0 with bad checksum
	49 with no checksum
	1377 dropped due to no socket
	591 broadcast/multicast datagrams undelivered
	0 dropped due to full socket buffers
	0 not for hashed pcb
	825 delivered
	993 datagrams output
	0 times multicast source filter matched
ip:
	248570 total packets received
	0 bad header checksums
	0 with size smaller than minimum
	0 with data size < data length
	0 with ip length > max ip packet size
	0 with header length < data size
	0 with data length < header length
	0 with bad options
	0 with incorrect version number
	0 fragments received
	0 fragments dropped (dup or out of space)
	0 fragments dropped after timeout
	0 packets reassembled ok
	248378 packets for this host
	34 packets for unknown/unsupported protocol
	0 packets forwarded (0 packets fast forwarded)
	158 packets not forwardable
	0 packets received for unknown multicast group
	0 redirects sent
	179426 packets sent from this host
	0 packets sent with fabricated ip header
	0 output packets dropped due to no bufs, etc.
	529 output packets discarded due to no route
	0 output datagrams fragmented
	0 fragments created
	0 datagrams that can't be fragmented
	0 tunneling packets that can't find gif
	0 datagrams with bad address in header
icmp:
	1365 calls to icmp_error
	0 errors not generated in response to an icmp message
	Output histogram:
		destination unreachable: 1365
	0 messages with bad code fields
	0 messages less than the minimum length
	0 messages with bad checksum
	0 messages with bad length
	0 multicast echo requests ignored
	0 multicast timestamp requests ignored
	Input histogram:
		destination unreachable: 15
	0 message responses generated
	0 invalid return addresses
	0 no return routes
igmp:
	19 messages received
	0 messages received with too few bytes
	0 messages received with wrong TTL
	0 messages received with bad checksum
	12 V1/V2 membership queries received
	0 V3 membership queries received
	0 membership queries received with invalid field(s)
	12 general queries received
	0 group queries received
	0 group-source queries received
	0 group-source queries dropped
	7 membership reports received
	0 membership reports received with invalid field(s)
	0 membership reports received for groups to which we belong
	2 V3 reports received without Router Alert
	0 membership reports sent
arp:
	5 ARP requests sent
	1 ARP reply sent
	2 ARP requests received
	3 ARP replies received
	6 ARP packets received
	0 total packets dropped due to no ARP entry
	0 ARP entrys timed out
	0 Duplicate IPs seen
ip6:
	29 total packets received
	0 with size smaller than minimum
	0 with data size < data length
	0 with bad options
	0 with incorrect version number
	0 fragments received
	0 fragments dropped (dup or out of space)
	0 fragments dropped after timeout
	0 fragments that exceeded limit
	0 packets reassembled ok
	17 packets for this host
	0 packets forwarded
	0 packets not forwardable
	0 redirects sent
	33 packets sent from this host
	0 packets sent with fabricated ip header
	0 output packets dropped due to no bufs, etc.
	40 output packets discarded due to no route
	0 output datagrams fragmented
	0 fragments created
	0 datagrams that can't be fragmented
	0 packets that violated scope rules
	3 multicast packets which we don't join
	Input histogram:
		TCP: 2
		UDP: 12
		ICMP6: 15
	Mbuf statistics:
		29 one mbuf
		0 one ext mbuf
		0 two or more ext mbuf
	0 packets whose headers are not contiguous
	0 tunneling packets that can't find gif
	0 packets discarded because of too many headers
	0 failures of source address selection
	Source addresses selection rule applied:
		3 first candidate
		13 same address
icmp6:
	12 calls to icmp6_error
	0 errors not generated in response to an icmp6 message
	0 errors not generated because of rate limitation
	Output histogram:
		unreach: 12
		router solicitation: 3
		MLDv2 listener report: 1
	0 messages with bad code fields
	0 messages < minimum length
	0 bad checksums
	0 messages with bad length
	Input histogram:
		unreach: 12
	Histogram of error messages to be generated:
		0 no route
		0 administratively prohibited
		0 beyond scope
		0 address unreachable
		12 port unreachable
		0 packet too big
		0 time exceed transit
		0 time exceed reassembly
		0 erroneous header field
		0 unrecognized next header
		0 unrecognized option
		0 redirect
		0 unknown
	0 message responses generated
	0 messages with too many ND options
	0 messages with bad ND options
	0 bad neighbor solicitation messages
	0 bad neighbor advertisement messages
	0 bad router solicitation messages
	0 bad router advertisement messages
	0 bad redirect messages
	0 path MTU changes
rip6:
	0 messages received
	0 checksum calculations on inbound
	0 messages with bad checksum
	0 messages dropped due to no socket
	0 multicast messages dropped due to no socket
	0 messages dropped due to full socket buffers
	0 delivered
	0 datagrams output

------------------------------------------------------------------------
netstat -m

382/3092/3474 mbufs in use (current/cache/total)
201/2029/2230/25600 mbuf clusters in use (current/cache/total/max)
210/1847 mbuf+clusters out of packet secondary zone in use (current/cache)
61/138/199/12800 4k (page size) jumbo clusters in use (current/cache/total/max)
0/0/0/19200 9k jumbo clusters in use (current/cache/total/max)
0/0/0/12800 16k jumbo clusters in use (current/cache/total/max)
741K/5383K/6124K bytes allocated to network (current/cache/total)
0/0/0 requests for mbufs denied (mbufs/clusters/mbuf+clusters)
0/0/0 requests for jumbo clusters denied (4k/9k/16k)
0 requests for sfbufs denied
0 requests for sfbufs delayed
0 requests for I/O initiated by sendfile
0 calls to protocol drain routines

------------------------------------------------------------------------
netstat -id

Name    Mtu Network       Address              Ipkts Ierrs Idrop    Opkts Oerrs  Coll Drop
ral0   2290 <Link#1>      e0:69:95:4a:84:0a        0     0     0   165215 13332     0    0 
usbus     0 <Link#2>                               0     0     0        0     0     0    0 
usbus     0 <Link#3>                               0     0     0        0     0     0    0 
usbus     0 <Link#4>                               0     0     0        0     0     0    0 
usbus     0 <Link#5>                               0     0     0        0     0     0    0 
re0*   1500 <Link#6>      20:cf:30:3c:84:f4        0     0     0        0     0     0    0 
fwe0*  1500 <Link#7>      02:1e:8c:dd:91:33        0     0     0        0     0     0    0 
fwip0  1500 <Link#8>      00:1e:8c:00:00:dd:       0     0     0        0     0     0    0 
usbus     0 <Link#9>                               0     0     0        0     0     0    0 
usbus     0 <Link#10>                              0     0     0        0     0     0    0 
usbus     0 <Link#11>                              0     0     0        0     0     0    0 
usbus     0 <Link#12>                              0     0     0        0     0     0    0 
lo0   16384 <Link#13>                            408     0     0      408     0     0    0 
lo0   16384 localhost     ::1                     26     -     -       26     -     -    - 
lo0   16384 fe80::1%lo0   fe80::1                  0     -     -        0     -     -    - 
lo0   16384 your-net      localhost              382     -     -      382     -     -    - 
wlan0  1500 <Link#14>     e0:69:95:4a:84:0a   248203     0     0   178407   128     0    0 
wlan0  1500 fe80::e269:95 fe80::e269:95ff:f        0     -     -        7     -     -    - 
wlan0  1500 192.168.1.0   192.168.1.9         206182     -     -   148707     -     -    - 

------------------------------------------------------------------------
netstat -anr

Routing tables

Internet:
Destination        Gateway            Flags    Refs      Use  Netif Expire
default            192.168.1.1        UGS         0   148464  wlan0
127.0.0.1          link#13            UH          0      382    lo0
192.168.1.0/24     link#14            U           0      244  wlan0
192.168.1.9        link#14            UHS         0        0    lo0

Internet6:
Destination                       Gateway                       Flags      Netif Expire
::/96                             ::1                           UGRS        lo0
::1                               link#13                       UH          lo0
::ffff:0.0.0.0/96                 ::1                           UGRS        lo0
fe80::/10                         ::1                           UGRS        lo0
fe80::%lo0/64                     link#13                       U           lo0
fe80::1%lo0                       link#13                       UHS         lo0
fe80::%wlan0/64                   link#14                       U         wlan0
fe80::e269:95ff:fe4a:840a%wlan0   link#14                       UHS         lo0
ff01::%lo0/32                     ::1                           U           lo0
ff01::%wlan0/32                   fe80::e269:95ff:fe4a:840a%wlan0 U         wlan0
ff02::/16                         ::1                           UGRS        lo0
ff02::%lo0/32                     ::1                           U           lo0
ff02::%wlan0/32                   fe80::e269:95ff:fe4a:840a%wlan0 U         wlan0

------------------------------------------------------------------------
netstat -anA

Active Internet connections (including servers)
Tcpcb            Proto Recv-Q Send-Q Local Address      Foreign Address    (state)
fffffe019320d3d0 tcp4       0      4 192.168.1.9.6992   176.37.97.85.53880 ESTABLISHED
fffffe019325c7a0 tcp4       0     13 192.168.1.9.6992   93.84.19.40.2021   ESTABLISHED
fffffe019328ab70 tcp4       0     13 192.168.1.9.6992   178.213.241.250.60 ESTABLISHED
fffffe01931883d0 tcp4       0     13 192.168.1.9.6992   183.89.2.242.15974 ESTABLISHED
fffffe019329b000 tcp4       0     13 192.168.1.9.6992   81.27.54.232.59916 ESTABLISHED
fffffe0193256b70 tcp4       0     13 192.168.1.9.6992   37.229.161.76.6173 ESTABLISHED
fffffe019dbd02d0 tcp4       0      0 192.168.1.9.6992   46.191.225.37.8980 TIME_WAIT
fffffe01931bc000 tcp4       0      0 192.168.1.9.56858  2.94.86.41.29843   SYN_SENT
fffffe01931bc3d0 tcp4       0      0 192.168.1.9.57211  37.214.42.61.45749 SYN_SENT
fffffe01933203d0 tcp4       0  32794 192.168.1.9.6992   109.169.145.0.2846 ESTABLISHED
fffffe01931f8b70 tcp4       0     31 192.168.1.9.6992   5.43.138.72.59607  ESTABLISHED
fffffe019328a000 tcp4       0     31 192.168.1.9.6992   46.147.149.151.552 ESTABLISHED
fffffe01931b0b70 tcp4       0      0 192.168.1.9.27289  173.194.71.199.443 ESTABLISHED
fffffe01931f83d0 tcp4       0    324 192.168.1.9.6992   94.73.249.248.8299 ESTABLISHED
fffffe01931ab000 tcp4       0     31 192.168.1.9.6992   178.216.219.169.11 ESTABLISHED
fffffe019d897b70 tcp4       0     31 192.168.1.9.6992   188.233.169.181.58 ESTABLISHED
fffffe019328f000 tcp4       0  32660 192.168.1.9.6992   93.81.55.150.55640 ESTABLISHED
fffffe01932da000 tcp4       0     31 192.168.1.9.6992   31.181.163.19.5093 ESTABLISHED
fffffe019d898000 tcp4       0     31 192.168.1.9.6992   91.229.216.9.58202 ESTABLISHED
fffffe01931793d0 tcp4       0     31 192.168.1.9.6992   195.112.110.85.449 ESTABLISHED
fffffe000afdd3d0 tcp4       0     31 192.168.1.9.6992   92.37.244.232.8041 ESTABLISHED
fffffe019324ab70 tcp4       0     31 192.168.1.9.6992   77.127.175.131.599 ESTABLISHED
fffffe01931f97a0 tcp4       0     31 192.168.1.9.6992   31.193.121.28.6431 ESTABLISHED
fffffe01931ac3d0 tcp4       0     31 192.168.1.9.6992   81.163.232.166.603 ESTABLISHED
fffffe01932e63d0 tcp4       0     13 192.168.1.9.6992   81.25.53.50.46047  ESTABLISHED
fffffe01932d27a0 tcp4       0     31 192.168.1.9.6992   80.83.246.183.5827 ESTABLISHED
fffffe01933213d0 tcp4       0    583 192.168.1.9.6992   81.27.63.189.64427 ESTABLISHED
fffffe019328fb70 tcp4       0     49 192.168.1.9.6992   37.76.146.94.6252  ESTABLISHED
fffffe019332b000 tcp4       0     58 192.168.1.9.6992   92.37.229.190.2434 ESTABLISHED
fffffe01932d7000 tcp4       0     58 192.168.1.9.6992   94.41.185.204.6511 ESTABLISHED
fffffe019d883000 tcp4       0     58 192.168.1.9.6992   178.121.155.54.248 ESTABLISHED
fffffe01932d2b70 tcp4       0     58 192.168.1.9.6992   108.41.143.206.624 ESTABLISHED
fffffe000afdd000 tcp4       0     67 192.168.1.9.6992   128.74.198.14.5921 ESTABLISHED
fffffe019d8903d0 tcp4       0     67 192.168.1.9.6992   91.207.114.1.56470 ESTABLISHED
fffffe01933193d0 tcp4       0     76 192.168.1.9.6992   88.205.170.232.582 ESTABLISHED
fffffe01932877a0 tcp4       0      0 *.6212             *.*                LISTEN
fffffe01931a17a0 tcp6       0      0 *.6212             *.*                LISTEN
fffffe019333e7a0 tcp4       0     76 192.168.1.9.32145  84.109.78.168.5486 ESTABLISHED
fffffe019333eb70 tcp4       0    628 192.168.1.9.17816  128.73.48.161.3326 ESTABLISHED
fffffe019333f000 tcp4       0     76 192.168.1.9.38653  46.162.212.210.293 ESTABLISHED
fffffe019332e7a0 tcp4       0     76 192.168.1.9.41955  79.176.185.121.130 ESTABLISHED
fffffe019332eb70 tcp4       0     22 192.168.1.9.54883  77.40.92.188.61342 ESTABLISHED
fffffe0193333000 tcp4       0    628 192.168.1.9.12124  46.191.233.200.599 ESTABLISHED
fffffe01933333d0 tcp4       0     31 192.168.1.9.6992   37.147.233.122.505 ESTABLISHED
fffffe019329b3d0 tcp4       0    628 192.168.1.9.6992   95.24.135.185.1850 ESTABLISHED
fffffe019320e000 tcp4       0    664 192.168.1.9.6992   94.229.228.248.701 ESTABLISHED
fffffe019d88fb70 tcp4       0    664 192.168.1.9.6992   31.163.2.169.56506 ESTABLISHED
fffffe019d896000 tcp4       0      4 192.168.1.9.6992   213.167.213.10.545 ESTABLISHED
fffffe019d897000 tcp4       0  41312 192.168.1.9.6992   212.164.188.27.654 ESTABLISHED
fffffe01933337a0 tcp4       0    130 192.168.1.9.6992   46.147.26.243.5588 ESTABLISHED
fffffe019d896b70 tcp4       0    130 192.168.1.9.6992   94.229.224.120.646 ESTABLISHED
fffffe0193333b70 tcp4       0    130 192.168.1.9.6992   77.94.174.166.5223 ESTABLISHED
fffffe0193334000 tcp4       0      0 192.168.1.9.24549  74.125.143.189.443 ESTABLISHED
fffffe01933343d0 tcp4       0      0 192.168.1.9.24548  74.125.143.189.443 ESTABLISHED
fffffe01931fbb70 tcp4       0      0 192.168.1.9.24543  74.125.137.120.443 ESTABLISHED
fffffe019329b7a0 tcp4       0      0 192.168.1.9.24542  74.125.237.111.443 ESTABLISHED
fffffe000ddba3d0 tcp4       0    130 192.168.1.9.6992   109.95.34.14.57059 ESTABLISHED
fffffe019dd7e120 tcp4       0      0 192.168.1.9.6992   93.81.55.150.55189 TIME_WAIT
fffffe01933353d0 tcp4       0    130 192.168.1.9.6992   92.112.83.55.63863 ESTABLISHED
fffffe0193336000 tcp4       0    130 192.168.1.9.6992   31.181.182.78.6381 ESTABLISHED
fffffe01933363d0 tcp4       0      4 192.168.1.9.21240  46.72.17.203.60945 ESTABLISHED
fffffe01932d83d0 tcp4       0      4 192.168.1.9.6992   5.167.19.223.59986 ESTABLISHED
fffffe0193264b70 tcp4       0    130 192.168.1.9.6992   95.30.209.181.6437 ESTABLISHED
fffffe0193203000 tcp4       0    130 192.168.1.9.6992   188.134.60.94.6472 ESTABLISHED
fffffe019331f000 tcp4       0    130 192.168.1.9.6992   91.215.110.50.5146 ESTABLISHED
fffffe01932c9b70 tcp4       0      0 192.168.1.9.16746  74.125.218.87.80   ESTABLISHED
fffffe01932cf000 tcp4       0   1386 192.168
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-05-08 22:37:33 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-wireless

Over to maintainer(s).
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:42:53 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 3 Andriy Voskoboinyk freebsd_committer 2019-01-18 11:56:10 UTC
wcid2ni is not properly cleared + ni_associd can change after ASSOC / REASSOC frames, so this issue look still relevant.
Comment 4 Andriy Voskoboinyk freebsd_committer 2019-02-03 16:03:02 UTC
Close this PR in favor to bug #184084 since it has more precise backtrace of this panic.

*** This bug has been marked as a duplicate of bug 184084 ***